Bug 55368 - System intermittently hangs.
System intermittently hangs.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 08:17 EST by Troy Baldwin
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 16:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Baldwin 2001-10-30 08:17:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)

Description of problem:
System hangs after kernel crash. Has happened only twice in the last 
4 months.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Actual Results:  Oct 30 02:07:00 alchemy2 kernel: kernel BUG at 
dcache.c:356!
Oct 30 02:07:00 alchemy2 kernel: invalid operand: 0000
Oct 30 02:07:00 alchemy2 kernel: CPU:    0
Oct 30 02:07:00 alchemy2 kernel: EIP:    0010:[prune_dcache+129/
352]
Oct 30 02:07:00 alchemy2 kernel: EIP:    0010:[<c0145c61>]
Oct 30 02:07:00 alchemy2 kernel: EFLAGS: 00010282
Oct 30 02:07:00 alchemy2 kernel: eax: 0000001c   ebx: ced091c0   
ecx: fffffffe   edx: 00000000
Oct 30 02:07:00 alchemy2 kernel: esi: ced091a0   edi: c1447e6c   
ebp: 000000a3   esp: c145ff68
Oct 30 02:07:00 alchemy2 kernel: ds: 0018   es: 0018   ss: 0018
Oct 30 02:07:00 alchemy2 kernel: Process kswapd (pid: 4, 
stackpage=c145f000)
Oct 30 02:07:00 alchemy2 kernel: Stack: c02128db c021297b 
00000164 c11784b8 c012c80a c11784b8 000000c8 c145e000
Oct 30 02:07:00 alchemy2 kernel:        00000010 000000c8 c012ca13 
00010f00 00000004 000000f1 00000004 c0145ffd
Oct 30 02:07:00 alchemy2 kernel:        00000230 c012caae 
00000004 00000004 00010f00 c025c4e0 00000004 0008e000
Oct 30 02:07:00 alchemy2 kernel: Call Trace: [error_table+42755/
46744] [error_table+42915/46744] [refill_inactive_scan+138/240] [ref
ill_inactive+115/176] [shrink_dcache_memory+45/80] 
[do_try_to_free_pages+94/128] [kswapd+123/288]
Oct 30 02:07:00 alchemy2 kernel: Call Trace: [<c02128db>] [<
c021297b>] [<c012c80a>] [<c012ca13>] [<c0145ffd>] [<c012caae>] 
[<c012cb4
b>]
Oct 30 02:07:00 alchemy2 kernel:        [empty_bad_page+0/4096] 
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/288]
Oct 30 02:07:00 alchemy2 kernel:        [<c0105000>] [<c0105000>] [<
c0107596>] [<c012cad0>]
Oct 30 02:07:00 alchemy2 kernel:
Oct 30 02:07:00 alchemy2 kernel: Code: 0f 0b 83 c4 0c 8d 56 18 8b 
4a 04 8b 46 18 89 48 04 89 01 89
Oct 30 02:07:01 alchemy2 kernel: kernel BUG at exit.c:465!
Oct 30 02:07:01 alchemy2 kernel: invalid operand: 0000
Oct 30 02:07:01 alchemy2 kernel: CPU:    0
Oct 30 02:07:01 alchemy2 kernel: EIP:    0010:[do_exit+541/560]
Oct 30 02:07:01 alchemy2 kernel: EIP:    0010:[<c0118a3d>]
Oct 30 02:07:01 alchemy2 kernel: EFLAGS: 00010282

Additional info:
Comment 1 Arjan van de Ven 2001-10-30 08:31:46 EST
Is this the 2.4.2 kernel ? We've released 2 kernels since then that have this
fixed....

Note You need to log in before you can comment on or make changes to this bug.